%define srcname MuseScore

Summary:	Linux MusE Score Typesetter
Name:		mscore
Version:	0.9.5
Release:	%mkrel 2
License:	GPLv2
Url:		http://mscore.sourceforge.net/
Group:		Publishing
Source0:	http://downloads.sourceforge.net/project/mscore/mscore/%{name}-%{version}/%{srcname}-%{version}.tar.bz2
Patch0:		mscore-0.9.5-fix-underlink.patch
Patch1:		mscore-0.9.5-disable-uitools.patch
BuildRequires:	cmake
BuildRequires:	libalsa-devel
BuildRequires:	jackit-devel
BuildRequires:	fluidsynth-devel
BuildRequires:	portaudio-devel
BuildRequires:	tetex-latex
BuildRequires:	qt4-devel > 4.4
BuildRequires:	qt4-linguist
Requires:	qtscriptbindings
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
MuseScore stands for Linux MusE Score Typesetter.

Features:
      - WYSIWYG design, notes are entered on a "virtual notepaper"
      - TrueType font(s) for printing & display allows for high quality
        scaling to all sizes
      - easy & fast note entry
      - many editing functions
      - MusicXML import/export
      - Midi (SMF) import/export
      - MuseData import
      - Midi input for note entry
      - integrated sequencer and software synthesizer to
        play the score
      - print or create pdf files

%prep
%setup -q -n %{name}-%{version}/mscore
%patch0 -p0
%patch1 -p0
# only install .qm files
perl -pi -e 's,.*.ts\n,,g' share/locale/CMakeLists.txt

%build
%cmake_qt4 -DUSE_GLOBAL_FLUID=ON -DBUILD_SCRIPT_INTERFACE=OFF
%make
make lupdate
make lrelease

%install
rm -rf %{buildroot}
%{makeinstall_std} -C build

# conflicts with qtscriptbindings
rm -f %{buildroot}%{qt4plugins}/script/*

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog NEWS README
%{_bindir}/%{name}
%{_datadir}/%{name}*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.*
%{qt4plugins}/designer/libawlplugin.so


%changelog
* Sun Apr 11 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.9.5-2mdv2010.1
+ Revision: 533571
- clean spec
- drop patch2, and use a perl command instead

* Fri Dec 25 2009 Ahmad Samir <ahmadsamir@mandriva.org> 0.9.5-1mdv2010.1
+ Revision: 482211
- new version 0.9.5
- rediff patches 0,1,2

* Tue Oct 06 2009 Funda Wang <fwang@mandriva.org> 0.9.3-3mdv2010.0
+ Revision: 454472
- requires qtscriptbinding
- do not build script interface due to conflicts with main package

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 0.9.3-2mdv2010.0
+ Revision: 440161
- rebuild

* Sat Oct 11 2008 Funda Wang <fwang@mandriva.org> 0.9.3-1mdv2009.1
+ Revision: 292266
- new version 0.9.3

* Wed Aug 13 2008 Funda Wang <fwang@mandriva.org> 0.9.2-2mdv2009.0
+ Revision: 271321
- add patch fixing underlink

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Sat May 10 2008 Funda Wang <fwang@mandriva.org> 0.9.2-1mdv2009.0
+ Revision: 205385
- fix building
- BR qt4-linguist
- New version 0.9.2

* Sat Jan 26 2008 Funda Wang <fwang@mandriva.org> 0.9.1d-1mdv2008.1
+ Revision: 158191
- fix desktop file install
- br portaudio
- 0.9.1d
- New version 0.9.1
- New version 0.9.0

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Dec 21 2007 Funda Wang <fwang@mandriva.org> 0.8.0-1mdv2008.1
+ Revision: 136363
- New version 0.8.0

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Nov 25 2007 Funda Wang <fwang@mandriva.org> 0.7.0.1-2mdv2008.1
+ Revision: 111852
- BR context
- BR texlive
- import mscore


